The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Cannot access WHM, a warning has been shown after login

Discussion in 'General Discussion' started by Irwansyah Ramadhan, Mar 14, 2017.

  1. Irwansyah Ramadhan

    Irwansyah Ramadhan Registered

    Joined:
    Mar 14, 2017
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Indonesia
    cPanel Access Level:
    Website Owner
    Hi, i can't access my WHM. After login, a warning message always showed. I had upgraded my cpanel to latest version but it's still the same.
    This is the warning message:

    A warning occurred while processing this directive.
    Use of uninitialized value $saved_entry in split at /usr/local/cpanel/Cpanel/Kernel.pm line 55.
    at /usr/local/cpanel/Cpanel/Kernel.pm line 55.
    Cpanel::Kernel::_get_default_boot_version_from_grub2() called at /usr/local/cpanel/Cpanel/Kernel.pm line 36
    Cpanel::Kernel::get_default_boot_version() called at /usr/local/cpanel/Cpanel/Kernel/Status.pm line 36
    Cpanel::Kernel::Status::kernel_status() called at /usr/local/cpanel/Whostmgr/API/1/ApplicationVersions.pm line 330
    Whostmgr::API::1::ApplicationVersions::__ANON__() called at /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/Try/Tiny.pm line 101
    eval {...} called at /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/Try/Tiny.pm line 92
    Try::Tiny::try(CODE(0x1cb0d18), Try::Tiny::Catch=REF(0x1bd75c0)) called at /usr/local/cpanel/Whostmgr/API/1/ApplicationVersions.pm line 339
    Whostmgr::API::1::ApplicationVersions::system_needs_reboot() called at /usr/local/cpanel/Cpanel/Template/Plugin/Whostmgr.pm line 69
    Cpanel::Template::Plugin::Whostmgr::_get_template_vars() called at /usr/local/cpanel/Cpanel/Template/Plugin/Whostmgr.pm line 44
    Cpanel::Template::Plugin::Whostmgr::new("Cpanel::Template::Plugin::Whostmgr", Template::Context=HASH(0x1bc8ee8)) called at /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/x86_64-linux-64int/Template/Plugins.pm line 120
    eval {...} called at /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/x86_64-linux-64int/Template/Plugins.pm line 114
    Template::Plugins::fetch(Template::Plugins=HASH(0x1cade88), "Whostmgr", undef, Template::Context=HASH(0x1bc8ee8)) called at /usr/local/cpanel/3rdparty/perl/524/lib64/perl5/cpanel_lib/x86_64-linux-64int/Template/Context.pm line 192
    Template::Context::plugin(Template::Context=HASH(0x1bc8ee8), "Whostmgr") called at /usr/local/cpanel/Cpanel/Template.pm line 414
    Cpanel::Template::process_template("whostmgr", HASH(0x1ba6828)) called at whostmgr/bin/whostmgr10.pl line 358
    main::roothtml() called at whostmgr/bin/whostmgr10.pl line 232
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,171
    Likes Received:
    1,295
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    Could you open a support ticket using the link in my signature so we can take a closer look? You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
  3. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    37,171
    Likes Received:
    1,295
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Hello,

    To update, internal case CPANEL-11981 is open to investigate this issue. It looks like this is affecting certain systems on the development build for cPanel version 64 (currently only available on the EDGE build tier). I'll update this thread with more information on the status of this case as it becomes available.

    Thank you.

    Update: It looks like this will no longer occur as of cPanel version 66.
     
Loading...

Share This Page